<?xml version="1.0" encoding="UTF-8"?>
<!--
Manifest for ESysOS development
-->
<manifest>
    <!-- Remotes -->
    <remote name="origin" fetch="ssh://git@gitlab.com/libesys"/>
    <remote name="github" fetch="https://github.com"/>
    <remote name="esysgithub" fetch="ssh://git@github.com/libESys"/>

    <default revision="refs/heads/master" remote="origin" sync-j="4" />

    <!-- ESysOS repositories -->
    <project name="esysos/dev" path="."/>
    <project name="esysos/esysos" path="src/esysos"/>

    <!-- ESys libraries -->
    <project name="esysbase" path="src/esysbase"/>
    <project name="esysfile" path="src/esysfile"/>
    <project name="esyslog/esyslog" path="src/esyslog"/>
    <project name="esystest"  path="src/esystest"/>
    <project name="esystrace/esystrace" path="src/esystrace"/>
    <project name="esys_cmake_scripts" path="src/esys_cmake_scripts"/>
    <project name="esysmsvc" path="src/esysmsvc"/>
    <project name="esysres" path="src/esysres"/>
    <project name="esys_hugo_theme" path="src/esys_hugo_theme" revision="develop"/>
    
    <!-- ESys libraries but not named as such -->
    <project name="extlib/dbg_log" path="extlib/dbg_log"/>

    <!-- ESys forks of external libraries -->
    <project name="libESys/spdlog.git" remote="github" path="extlib/spdlog" revision="add_getter_for_console_mutex"/>

    <!-- External libraries -->
    <project name="ikalnytskyi/termcolor.git" remote="github" path="extlib/termcolor" revision="refs/tags/v2.0.0"/>
    <project name="matcornic/hugo-theme-learn.git" remote="github" path="src/esysos/doc/web/themes/hugo-theme-learn"/>
    <project name="libESys/cmake-modules" path="extlib/cmake-modules" remote="github" revision="create_sonarqube_output_and_lcov"/>
    <project name="jpwhite3/gitinspector.git" path="extlib/gitinspector" remote="github" revision="feature/Drop-Python-2.7"/>
    <project name="extlib/FreeRTOS.git" path="extlib/freertos" revision="libesys"/> 
    <project name="extlib/FreeRTOS-Kernel.git" path="extlib/freertos/FreeRTOS/Source" revision="libesys"/> 
    <project name="extlib/esysc" path="extlib/esysc"/>
</manifest>
